Package org.apache.juneau.rest.server.util
package org.apache.juneau.rest.server.util
REST Server Utilities
-
ClassesClassDescriptionServletInputStream wrapper around a normal input stream with support for limiting input.Wraps an
HttpServletRequestand tees a bounded copy of the request body into memory for debug logging.Wraps anHttpServletResponseand tees a bounded copy of the output stream into memory for debug logging.A themeable/configurable asset-serving mixin's cache of classpath-shipped assets: reads each configured resource's bytes once, computes and caches itscontent hash, and wraps bytes as a cacheableHttpResource- the read+cache+hash+cache-buster-URL+serve bundle thatConsoleChromeMixin(juneau-console) andViewsMixin(juneau-console-views) previously each hand-rolled as their own private statics and static cache maps.A wrappedPrintWriterwith an addedfinish() method.A wrappedServletOutputStreamwith an addedfinish() method.A simple list ofMethodobjects.Various reusable utility methods.Represents a parsed URL path-info string.Represents a URL path pattern match.A parsed path pattern constructed from a@RestOp(path)value.A list ofUrlPathMatcherobjects.